import * as _reduxjs_toolkit from '@reduxjs/toolkit';
import * as redux_thunk from 'redux-thunk';
import * as redux from 'redux';

declare const commonErrorFallback = "Please check your connection.";
declare const commonErrorHandler: (err: any, errorContext: any, dispatch: any, fallback: any, mightBeAuthRelated?: boolean) => Promise<never>;
declare const sessionReducer: (state: any, action: any) => {
    app: {
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    };
    devices: {
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    };
    deployments: {
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    };
    monitor: {
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    };
    onboarding: {
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    };
    organization: {
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    };
    releases: {
        artifacts: never[];
        byId: {};
        releasesList: {
            searchedIds: never[];
            releaseIds: never[];
            selection: never[];
            sort: {
                direction: string;
                key: string;
            };
            isLoading: undefined;
            searchTerm: string;
            searchTotal: number;
            selectedTags: never[];
            total: number;
            type: string;
            page: number;
            perPage: number;
        };
        tags: never[];
        updateTypes: never[];
        selectedRelease: null;
    };
    users: {
        activationCode: undefined;
        byId: {};
        currentUser: null;
        currentSession: {};
        customColumns: never[];
        qrCode: null;
        globalSettings: {
            id_attribute: undefined;
            previousFilters: never[];
            previousPhases: never[];
            retries: number;
        };
        permissionSetsById: {
            [x: string]: {
                name: string;
                result: {
                    userManagement: string[];
                    auditlog?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    auditlog: any[];
                    deployments: any[];
                    groups: {
                        "All devices": any[];
                    };
                    releases: {
                        "All releases": any[];
                    };
                    userManagement: any[];
                    tenantManagement: string[];
                } | {
                    releases: {
                        "All releases": any[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    groups: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                } | {
                    groups: {
                        "All devices": string[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    releases: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                };
            } | {
                name: string;
                result: {
                    auditlog: string[];
                    userManagement?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    releases: {
                        "All releases": string[];
                    };
                    userManagement?: undefined;
                    auditlog?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    tenantManagement: string[];
                    userManagement?: undefined;
                    auditlog?: undefined;
                    releases?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    deployments: string[];
                    groups: {
                        "All devices": string[];
                    };
                    userManagement?: undefined;
                    auditlog?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                };
            } | {
                name: string;
                result: {
                    groups: {
                        "All devices": string[];
                    };
                    userManagement?: undefined;
                    auditlog?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                };
            };
        };
        rolesById: {
            [x: string]: {
                name: string;
                value: string;
                description: string;
                permissions: never[];
                uiPermissions: {
                    auditlog: any[];
                    deployments: any[];
                    groups: {
                        "All devices": any[];
                    };
                    releases: {
                        "All releases": any[];
                    };
                    userManagement: any[];
                    tenantManagement: string[];
                };
            } | {
                name: string;
                value: string;
                description: string;
                permissions: never[];
                uiPermissions: {
                    releases: {
                        "All releases": any[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    groups: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                };
            } | {
                name: string;
                value: string;
                description: string;
                permissions: never[];
                uiPermissions: {
                    groups: {
                        "All devices": string[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    releases: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                };
            };
        };
        settingsInitialized: boolean;
        showConnectDeviceDialog: boolean;
        showFeedbackDialog: boolean;
        showStartupNotification: boolean;
        tooltips: {
            byId: {};
        };
        userSettings: {
            columnSelection: never[];
            onboarding: {};
        };
        userSettingsInitialized: boolean;
    };
};
declare const getConfiguredStore: (options?: {}) => _reduxjs_toolkit.EnhancedStore<{
    app: {
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    };
    devices: {
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    };
    deployments: {
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    };
    monitor: {
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    };
    onboarding: {
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    };
    organization: {
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    };
    releases: {
        artifacts: never[];
        byId: {};
        releasesList: {
            searchedIds: never[];
            releaseIds: never[];
            selection: never[];
            sort: {
                direction: string;
                key: string;
            };
            isLoading: undefined;
            searchTerm: string;
            searchTotal: number;
            selectedTags: never[];
            total: number;
            type: string;
            page: number;
            perPage: number;
        };
        tags: never[];
        updateTypes: never[];
        selectedRelease: null;
    };
    users: {
        activationCode: undefined;
        byId: {};
        currentUser: null;
        currentSession: {};
        customColumns: never[];
        qrCode: null;
        globalSettings: {
            id_attribute: undefined;
            previousFilters: never[];
            previousPhases: never[];
            retries: number;
        };
        permissionSetsById: {
            [x: string]: {
                name: string;
                result: {
                    userManagement: string[];
                    auditlog?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    auditlog: any[];
                    deployments: any[];
                    groups: {
                        "All devices": any[];
                    };
                    releases: {
                        "All releases": any[];
                    };
                    userManagement: any[];
                    tenantManagement: string[];
                } | {
                    releases: {
                        "All releases": any[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    groups: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                } | {
                    groups: {
                        "All devices": string[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    releases: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                };
            } | {
                name: string;
                result: {
                    auditlog: string[];
                    userManagement?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    releases: {
                        "All releases": string[];
                    };
                    userManagement?: undefined;
                    auditlog?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    tenantManagement: string[];
                    userManagement?: undefined;
                    auditlog?: undefined;
                    releases?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    deployments: string[];
                    groups: {
                        "All devices": string[];
                    };
                    userManagement?: undefined;
                    auditlog?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                };
            } | {
                name: string;
                result: {
                    groups: {
                        "All devices": string[];
                    };
                    userManagement?: undefined;
                    auditlog?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                };
            };
        };
        rolesById: {
            [x: string]: {
                name: string;
                value: string;
                description: string;
                permissions: never[];
                uiPermissions: {
                    auditlog: any[];
                    deployments: any[];
                    groups: {
                        "All devices": any[];
                    };
                    releases: {
                        "All releases": any[];
                    };
                    userManagement: any[];
                    tenantManagement: string[];
                };
            } | {
                name: string;
                value: string;
                description: string;
                permissions: never[];
                uiPermissions: {
                    releases: {
                        "All releases": any[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    groups: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                };
            } | {
                name: string;
                value: string;
                description: string;
                permissions: never[];
                uiPermissions: {
                    groups: {
                        "All devices": string[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    releases: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                };
            };
        };
        settingsInitialized: boolean;
        showConnectDeviceDialog: boolean;
        showFeedbackDialog: boolean;
        showStartupNotification: boolean;
        tooltips: {
            byId: {};
        };
        userSettings: {
            columnSelection: never[];
            onboarding: {};
        };
        userSettingsInitialized: boolean;
    };
}, any, _reduxjs_toolkit.Tuple<[redux.StoreEnhancer<{
    dispatch: redux_thunk.ThunkDispatch<{
        app: {
            cancelSource: undefined;
            demoArtifactLink: string;
            hostAddress: null;
            snackbar: {
                open: boolean;
                message: string;
                maxWidth: number;
                autoHideDuration: undefined;
                action: undefined;
                children: undefined;
                onClick: undefined;
                onClose: undefined;
            };
            features: {
                hasAuditlogs: boolean;
                hasDeltaProgress: boolean;
                hasMultitenancy: boolean;
                hasDeviceConfig: boolean;
                hasDeviceConnect: boolean;
                hasFeedbackEnabled: boolean;
                hasMonitor: boolean;
                hasReporting: boolean;
                isDemoMode: boolean;
                isHosted: boolean;
                isEnterprise: boolean;
            };
            feedbackProbability: number;
            firstLoginAfterSignup: boolean;
            hostedAnnouncement: string;
            docsVersion: string;
            recaptchaSiteKey: string;
            searchState: {
                deviceIds: never[];
                searchTerm: string;
                searchTotal: number;
                sort: {
                    direction: string;
                };
            };
            stripeAPIKey: string;
            trackerCode: string;
            uploadsById: {};
            newThreshold: string;
            offlineThreshold: string;
            versionInformation: {
                Integration: string;
                'Mender-Client': string;
                'Mender-Artifact': string;
                'Meta-Mender': string;
                Deployments: string;
                Deviceauth: string;
                Inventory: string;
                GUI: string;
            };
            yesterday: undefined;
        };
        devices: {
            byId: {};
            byStatus: {
                [x: string]: {
                    deviceIds: never[];
                    total: number;
                };
                active: {
                    deviceIds: never[];
                    total: number;
                };
                inactive: {
                    deviceIds: never[];
                    total: number;
                };
            };
            deviceList: {
                selectedAttributes: never[];
                selectedIssues: never[];
                selection: never[];
                sort: {
                    direction: string;
                };
                state: string;
                total: number;
                page: number;
                perPage: number;
                deviceIds: never[];
            };
            filters: never[];
            filteringAttributes: {
                identityAttributes: never[];
                inventoryAttributes: never[];
                systemAttributes: never[];
                tagAttributes: never[];
            };
            filteringAttributesLimit: number;
            filteringAttributesConfig: {
                attributes: {};
                count: number;
                limit: number;
            };
            reports: never[];
            total: number;
            limit: number;
            groups: {
                byId: {};
                selectedGroup: undefined;
            };
        };
        deployments: {
            byId: {};
            byStatus: {
                finished: {
                    deploymentIds: never[];
                    total: number;
                };
                inprogress: {
                    deploymentIds: never[];
                    total: number;
                };
                pending: {
                    deploymentIds: never[];
                    total: number;
                };
                scheduled: {
                    deploymentIds: never[];
                    total: number;
                };
            };
            config: {
                binaryDelta: {
                    timeout: number;
                    duplicatesWindow: number;
                    compressionLevel: number;
                    disableChecksum: boolean;
                    disableDecompression: boolean;
                    inputWindow: number;
                    instructionBuffer: number;
                    sourceWindow: number;
                };
                binaryDeltaLimits: {
                    timeout: {
                        default: number;
                        max: number;
                        min: number;
                    };
                    sourceWindow: {
                        min: number;
                        max: number;
                        default: number;
                    };
                    inputWindow: {
                        min: number;
                        max: number;
                        default: number;
                    };
                    duplicatesWindow: {
                        min: number;
                        max: number;
                        default: number;
                    };
                    instructionBuffer: {
                        min: number;
                        max: number;
                        default: number;
                    };
                };
            };
            deploymentDeviceLimit: number;
            selectedDeviceIds: never[];
            selectionState: {
                finished: {
                    endDate: undefined;
                    search: string;
                    selection: never[];
                    startDate: undefined;
                    total: number;
                    type: string;
                    page: number;
                    perPage: number;
                };
                inprogress: {
                    perPage: number;
                    selection: never[];
                    page: number;
                };
                pending: {
                    perPage: number;
                    selection: never[];
                    page: number;
                };
                scheduled: {
                    selection: never[];
                    page: number;
                    perPage: number;
                };
                general: {
                    state: string;
                    showCreationDialog: boolean;
                    showReportDialog: boolean;
                    reportType: null;
                };
                selectedId: undefined;
            };
        };
        monitor: {
            alerts: {
                alertList: {
                    total: number;
                    page: number;
                    perPage: number;
                };
                byDeviceId: {};
            };
            issueCounts: {
                byType: {};
            };
            settings: {
                global: {
                    channels: {};
                };
            };
        };
        onboarding: {
            approach: null;
            complete: boolean;
            deviceType: null;
            demoArtifactPort: number;
            progress: null;
            showTips: null;
            showTipsDialog: boolean;
        };
        organization: {
            card: {
                last4: string;
                expiration: {
                    month: number;
                    year: number;
                };
                brand: string;
            };
            intentId: null;
            tenantList: {
                total: number;
                tenants: never[];
                selectedTenant: null;
                sort: {
                    direction: string;
                    key: string;
                };
                page: number;
                perPage: number;
            };
            organization: {};
            auditlog: {
                events: never[];
                selectionState: {
                    detail: undefined;
                    endDate: undefined;
                    selectedIssue: undefined;
                    sort: {
                        direction: string;
                    };
                    startDate: undefined;
                    total: number;
                    type: undefined;
                    user: undefined;
                    page: number;
                    perPage: number;
                };
            };
            externalDeviceIntegrations: never[];
            ssoConfigs: never[];
            webhooks: {
                events: never[];
                eventsTotal: number;
            };
        };
        releases: {
            artifacts: never[];
            byId: {};
            releasesList: {
                searchedIds: never[];
                releaseIds: never[];
                selection: never[];
                sort: {
                    direction: string;
                    key: string;
                };
                isLoading: undefined;
                searchTerm: string;
                searchTotal: number;
                selectedTags: never[];
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            tags: never[];
            updateTypes: never[];
            selectedRelease: null;
        };
        users: {
            activationCode: undefined;
            byId: {};
            currentUser: null;
            currentSession: {};
            customColumns: never[];
            qrCode: null;
            globalSettings: {
                id_attribute: undefined;
                previousFilters: never[];
                previousPhases: never[];
                retries: number;
            };
            permissionSetsById: {
                [x: string]: {
                    name: string;
                    result: {
                        userManagement: string[];
                        auditlog?: undefined;
                        releases?: undefined;
                        tenantManagement?: undefined;
                        deployments?: undefined;
                        groups?: undefined;
                    };
                } | {
                    name: string;
                    result: {
                        auditlog: any[];
                        deployments: any[];
                        groups: {
                            "All devices": any[];
                        };
                        releases: {
                            "All releases": any[];
                        };
                        userManagement: any[];
                        tenantManagement: string[];
                    } | {
                        releases: {
                            "All releases": any[];
                        };
                        auditlog: string[];
                        deployments?: string[];
                        groups: Record<string, string[]>;
                        tenantManagement: string[];
                        userManagement: string[];
                    } | {
                        groups: {
                            "All devices": string[];
                        };
                        auditlog: string[];
                        deployments?: string[];
                        releases: Record<string, string[]>;
                        tenantManagement: string[];
                        userManagement: string[];
                    };
                } | {
                    name: string;
                    result: {
                        auditlog: string[];
                        userManagement?: undefined;
                        releases?: undefined;
                        tenantManagement?: undefined;
                        deployments?: undefined;
                        groups?: undefined;
                    };
                } | {
                    name: string;
                    result: {
                        releases: {
                            "All releases": string[];
                        };
                        userManagement?: undefined;
                        auditlog?: undefined;
                        tenantManagement?: undefined;
                        deployments?: undefined;
                        groups?: undefined;
                    };
                } | {
                    name: string;
                    result: {
                        tenantManagement: string[];
                        userManagement?: undefined;
                        auditlog?: undefined;
                        releases?: undefined;
                        deployments?: undefined;
                        groups?: undefined;
                    };
                } | {
                    name: string;
                    result: {
                        deployments: string[];
                        groups: {
                            "All devices": string[];
                        };
                        userManagement?: undefined;
                        auditlog?: undefined;
                        releases?: undefined;
                        tenantManagement?: undefined;
                    };
                } | {
                    name: string;
                    result: {
                        groups: {
                            "All devices": string[];
                        };
                        userManagement?: undefined;
                        auditlog?: undefined;
                        releases?: undefined;
                        tenantManagement?: undefined;
                        deployments?: undefined;
                    };
                };
            };
            rolesById: {
                [x: string]: {
                    name: string;
                    value: string;
                    description: string;
                    permissions: never[];
                    uiPermissions: {
                        auditlog: any[];
                        deployments: any[];
                        groups: {
                            "All devices": any[];
                        };
                        releases: {
                            "All releases": any[];
                        };
                        userManagement: any[];
                        tenantManagement: string[];
                    };
                } | {
                    name: string;
                    value: string;
                    description: string;
                    permissions: never[];
                    uiPermissions: {
                        releases: {
                            "All releases": any[];
                        };
                        auditlog: string[];
                        deployments?: string[];
                        groups: Record<string, string[]>;
                        tenantManagement: string[];
                        userManagement: string[];
                    };
                } | {
                    name: string;
                    value: string;
                    description: string;
                    permissions: never[];
                    uiPermissions: {
                        groups: {
                            "All devices": string[];
                        };
                        auditlog: string[];
                        deployments?: string[];
                        releases: Record<string, string[]>;
                        tenantManagement: string[];
                        userManagement: string[];
                    };
                };
            };
            settingsInitialized: boolean;
            showConnectDeviceDialog: boolean;
            showFeedbackDialog: boolean;
            showStartupNotification: boolean;
            tooltips: {
                byId: {};
            };
            userSettings: {
                columnSelection: never[];
                onboarding: {};
            };
            userSettingsInitialized: boolean;
        };
    }, undefined, redux.UnknownAction>;
}>, redux.StoreEnhancer]>>;
declare const store: _reduxjs_toolkit.EnhancedStore<{
    app: {
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    };
    devices: {
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    };
    deployments: {
        byId: {};
        byStatus: {
            finished: {
                deploymentIds: never[];
                total: number;
            };
            inprogress: {
                deploymentIds: never[];
                total: number;
            };
            pending: {
                deploymentIds: never[];
                total: number;
            };
            scheduled: {
                deploymentIds: never[];
                total: number;
            };
        };
        config: {
            binaryDelta: {
                timeout: number;
                duplicatesWindow: number;
                compressionLevel: number;
                disableChecksum: boolean;
                disableDecompression: boolean;
                inputWindow: number;
                instructionBuffer: number;
                sourceWindow: number;
            };
            binaryDeltaLimits: {
                timeout: {
                    default: number;
                    max: number;
                    min: number;
                };
                sourceWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                inputWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                duplicatesWindow: {
                    min: number;
                    max: number;
                    default: number;
                };
                instructionBuffer: {
                    min: number;
                    max: number;
                    default: number;
                };
            };
        };
        deploymentDeviceLimit: number;
        selectedDeviceIds: never[];
        selectionState: {
            finished: {
                endDate: undefined;
                search: string;
                selection: never[];
                startDate: undefined;
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            inprogress: {
                perPage: number;
                selection: never[];
                page: number;
            };
            pending: {
                perPage: number;
                selection: never[];
                page: number;
            };
            scheduled: {
                selection: never[];
                page: number;
                perPage: number;
            };
            general: {
                state: string;
                showCreationDialog: boolean;
                showReportDialog: boolean;
                reportType: null;
            };
            selectedId: undefined;
        };
    };
    monitor: {
        alerts: {
            alertList: {
                total: number;
                page: number;
                perPage: number;
            };
            byDeviceId: {};
        };
        issueCounts: {
            byType: {};
        };
        settings: {
            global: {
                channels: {};
            };
        };
    };
    onboarding: {
        approach: null;
        complete: boolean;
        deviceType: null;
        demoArtifactPort: number;
        progress: null;
        showTips: null;
        showTipsDialog: boolean;
    };
    organization: {
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    };
    releases: {
        artifacts: never[];
        byId: {};
        releasesList: {
            searchedIds: never[];
            releaseIds: never[];
            selection: never[];
            sort: {
                direction: string;
                key: string;
            };
            isLoading: undefined;
            searchTerm: string;
            searchTotal: number;
            selectedTags: never[];
            total: number;
            type: string;
            page: number;
            perPage: number;
        };
        tags: never[];
        updateTypes: never[];
        selectedRelease: null;
    };
    users: {
        activationCode: undefined;
        byId: {};
        currentUser: null;
        currentSession: {};
        customColumns: never[];
        qrCode: null;
        globalSettings: {
            id_attribute: undefined;
            previousFilters: never[];
            previousPhases: never[];
            retries: number;
        };
        permissionSetsById: {
            [x: string]: {
                name: string;
                result: {
                    userManagement: string[];
                    auditlog?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    auditlog: any[];
                    deployments: any[];
                    groups: {
                        "All devices": any[];
                    };
                    releases: {
                        "All releases": any[];
                    };
                    userManagement: any[];
                    tenantManagement: string[];
                } | {
                    releases: {
                        "All releases": any[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    groups: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                } | {
                    groups: {
                        "All devices": string[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    releases: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                };
            } | {
                name: string;
                result: {
                    auditlog: string[];
                    userManagement?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    releases: {
                        "All releases": string[];
                    };
                    userManagement?: undefined;
                    auditlog?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    tenantManagement: string[];
                    userManagement?: undefined;
                    auditlog?: undefined;
                    releases?: undefined;
                    deployments?: undefined;
                    groups?: undefined;
                };
            } | {
                name: string;
                result: {
                    deployments: string[];
                    groups: {
                        "All devices": string[];
                    };
                    userManagement?: undefined;
                    auditlog?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                };
            } | {
                name: string;
                result: {
                    groups: {
                        "All devices": string[];
                    };
                    userManagement?: undefined;
                    auditlog?: undefined;
                    releases?: undefined;
                    tenantManagement?: undefined;
                    deployments?: undefined;
                };
            };
        };
        rolesById: {
            [x: string]: {
                name: string;
                value: string;
                description: string;
                permissions: never[];
                uiPermissions: {
                    auditlog: any[];
                    deployments: any[];
                    groups: {
                        "All devices": any[];
                    };
                    releases: {
                        "All releases": any[];
                    };
                    userManagement: any[];
                    tenantManagement: string[];
                };
            } | {
                name: string;
                value: string;
                description: string;
                permissions: never[];
                uiPermissions: {
                    releases: {
                        "All releases": any[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    groups: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                };
            } | {
                name: string;
                value: string;
                description: string;
                permissions: never[];
                uiPermissions: {
                    groups: {
                        "All devices": string[];
                    };
                    auditlog: string[];
                    deployments?: string[];
                    releases: Record<string, string[]>;
                    tenantManagement: string[];
                    userManagement: string[];
                };
            };
        };
        settingsInitialized: boolean;
        showConnectDeviceDialog: boolean;
        showFeedbackDialog: boolean;
        showStartupNotification: boolean;
        tooltips: {
            byId: {};
        };
        userSettings: {
            columnSelection: never[];
            onboarding: {};
        };
        userSettingsInitialized: boolean;
    };
}, any, _reduxjs_toolkit.Tuple<[redux.StoreEnhancer<{
    dispatch: redux_thunk.ThunkDispatch<{
        app: {
            cancelSource: undefined;
            demoArtifactLink: string;
            hostAddress: null;
            snackbar: {
                open: boolean;
                message: string;
                maxWidth: number;
                autoHideDuration: undefined;
                action: undefined;
                children: undefined;
                onClick: undefined;
                onClose: undefined;
            };
            features: {
                hasAuditlogs: boolean;
                hasDeltaProgress: boolean;
                hasMultitenancy: boolean;
                hasDeviceConfig: boolean;
                hasDeviceConnect: boolean;
                hasFeedbackEnabled: boolean;
                hasMonitor: boolean;
                hasReporting: boolean;
                isDemoMode: boolean;
                isHosted: boolean;
                isEnterprise: boolean;
            };
            feedbackProbability: number;
            firstLoginAfterSignup: boolean;
            hostedAnnouncement: string;
            docsVersion: string;
            recaptchaSiteKey: string;
            searchState: {
                deviceIds: never[];
                searchTerm: string;
                searchTotal: number;
                sort: {
                    direction: string;
                };
            };
            stripeAPIKey: string;
            trackerCode: string;
            uploadsById: {};
            newThreshold: string;
            offlineThreshold: string;
            versionInformation: {
                Integration: string;
                'Mender-Client': string;
                'Mender-Artifact': string;
                'Meta-Mender': string;
                Deployments: string;
                Deviceauth: string;
                Inventory: string;
                GUI: string;
            };
            yesterday: undefined;
        };
        devices: {
            byId: {};
            byStatus: {
                [x: string]: {
                    deviceIds: never[];
                    total: number;
                };
                active: {
                    deviceIds: never[];
                    total: number;
                };
                inactive: {
                    deviceIds: never[];
                    total: number;
                };
            };
            deviceList: {
                selectedAttributes: never[];
                selectedIssues: never[];
                selection: never[];
                sort: {
                    direction: string;
                };
                state: string;
                total: number;
                page: number;
                perPage: number;
                deviceIds: never[];
            };
            filters: never[];
            filteringAttributes: {
                identityAttributes: never[];
                inventoryAttributes: never[];
                systemAttributes: never[];
                tagAttributes: never[];
            };
            filteringAttributesLimit: number;
            filteringAttributesConfig: {
                attributes: {};
                count: number;
                limit: number;
            };
            reports: never[];
            total: number;
            limit: number;
            groups: {
                byId: {};
                selectedGroup: undefined;
            };
        };
        deployments: {
            byId: {};
            byStatus: {
                finished: {
                    deploymentIds: never[];
                    total: number;
                };
                inprogress: {
                    deploymentIds: never[];
                    total: number;
                };
                pending: {
                    deploymentIds: never[];
                    total: number;
                };
                scheduled: {
                    deploymentIds: never[];
                    total: number;
                };
            };
            config: {
                binaryDelta: {
                    timeout: number;
                    duplicatesWindow: number;
                    compressionLevel: number;
                    disableChecksum: boolean;
                    disableDecompression: boolean;
                    inputWindow: number;
                    instructionBuffer: number;
                    sourceWindow: number;
                };
                binaryDeltaLimits: {
                    timeout: {
                        default: number;
                        max: number;
                        min: number;
                    };
                    sourceWindow: {
                        min: number;
                        max: number;
                        default: number;
                    };
                    inputWindow: {
                        min: number;
                        max: number;
                        default: number;
                    };
                    duplicatesWindow: {
                        min: number;
                        max: number;
                        default: number;
                    };
                    instructionBuffer: {
                        min: number;
                        max: number;
                        default: number;
                    };
                };
            };
            deploymentDeviceLimit: number;
            selectedDeviceIds: never[];
            selectionState: {
                finished: {
                    endDate: undefined;
                    search: string;
                    selection: never[];
                    startDate: undefined;
                    total: number;
                    type: string;
                    page: number;
                    perPage: number;
                };
                inprogress: {
                    perPage: number;
                    selection: never[];
                    page: number;
                };
                pending: {
                    perPage: number;
                    selection: never[];
                    page: number;
                };
                scheduled: {
                    selection: never[];
                    page: number;
                    perPage: number;
                };
                general: {
                    state: string;
                    showCreationDialog: boolean;
                    showReportDialog: boolean;
                    reportType: null;
                };
                selectedId: undefined;
            };
        };
        monitor: {
            alerts: {
                alertList: {
                    total: number;
                    page: number;
                    perPage: number;
                };
                byDeviceId: {};
            };
            issueCounts: {
                byType: {};
            };
            settings: {
                global: {
                    channels: {};
                };
            };
        };
        onboarding: {
            approach: null;
            complete: boolean;
            deviceType: null;
            demoArtifactPort: number;
            progress: null;
            showTips: null;
            showTipsDialog: boolean;
        };
        organization: {
            card: {
                last4: string;
                expiration: {
                    month: number;
                    year: number;
                };
                brand: string;
            };
            intentId: null;
            tenantList: {
                total: number;
                tenants: never[];
                selectedTenant: null;
                sort: {
                    direction: string;
                    key: string;
                };
                page: number;
                perPage: number;
            };
            organization: {};
            auditlog: {
                events: never[];
                selectionState: {
                    detail: undefined;
                    endDate: undefined;
                    selectedIssue: undefined;
                    sort: {
                        direction: string;
                    };
                    startDate: undefined;
                    total: number;
                    type: undefined;
                    user: undefined;
                    page: number;
                    perPage: number;
                };
            };
            externalDeviceIntegrations: never[];
            ssoConfigs: never[];
            webhooks: {
                events: never[];
                eventsTotal: number;
            };
        };
        releases: {
            artifacts: never[];
            byId: {};
            releasesList: {
                searchedIds: never[];
                releaseIds: never[];
                selection: never[];
                sort: {
                    direction: string;
                    key: string;
                };
                isLoading: undefined;
                searchTerm: string;
                searchTotal: number;
                selectedTags: never[];
                total: number;
                type: string;
                page: number;
                perPage: number;
            };
            tags: never[];
            updateTypes: never[];
            selectedRelease: null;
        };
        users: {
            activationCode: undefined;
            byId: {};
            currentUser: null;
            currentSession: {};
            customColumns: never[];
            qrCode: null;
            globalSettings: {
                id_attribute: undefined;
                previousFilters: never[];
                previousPhases: never[];
                retries: number;
            };
            permissionSetsById: {
                [x: string]: {
                    name: string;
                    result: {
                        userManagement: string[];
                        auditlog?: undefined;
                        releases?: undefined;
                        tenantManagement?: undefined;
                        deployments?: undefined;
                        groups?: undefined;
                    };
                } | {
                    name: string;
                    result: {
                        auditlog: any[];
                        deployments: any[];
                        groups: {
                            "All devices": any[];
                        };
                        releases: {
                            "All releases": any[];
                        };
                        userManagement: any[];
                        tenantManagement: string[];
                    } | {
                        releases: {
                            "All releases": any[];
                        };
                        auditlog: string[];
                        deployments?: string[];
                        groups: Record<string, string[]>;
                        tenantManagement: string[];
                        userManagement: string[];
                    } | {
                        groups: {
                            "All devices": string[];
                        };
                        auditlog: string[];
                        deployments?: string[];
                        releases: Record<string, string[]>;
                        tenantManagement: string[];
                        userManagement: string[];
                    };
                } | {
                    name: string;
                    result: {
                        auditlog: string[];
                        userManagement?: undefined;
                        releases?: undefined;
                        tenantManagement?: undefined;
                        deployments?: undefined;
                        groups?: undefined;
                    };
                } | {
                    name: string;
                    result: {
                        releases: {
                            "All releases": string[];
                        };
                        userManagement?: undefined;
                        auditlog?: undefined;
                        tenantManagement?: undefined;
                        deployments?: undefined;
                        groups?: undefined;
                    };
                } | {
                    name: string;
                    result: {
                        tenantManagement: string[];
                        userManagement?: undefined;
                        auditlog?: undefined;
                        releases?: undefined;
                        deployments?: undefined;
                        groups?: undefined;
                    };
                } | {
                    name: string;
                    result: {
                        deployments: string[];
                        groups: {
                            "All devices": string[];
                        };
                        userManagement?: undefined;
                        auditlog?: undefined;
                        releases?: undefined;
                        tenantManagement?: undefined;
                    };
                } | {
                    name: string;
                    result: {
                        groups: {
                            "All devices": string[];
                        };
                        userManagement?: undefined;
                        auditlog?: undefined;
                        releases?: undefined;
                        tenantManagement?: undefined;
                        deployments?: undefined;
                    };
                };
            };
            rolesById: {
                [x: string]: {
                    name: string;
                    value: string;
                    description: string;
                    permissions: never[];
                    uiPermissions: {
                        auditlog: any[];
                        deployments: any[];
                        groups: {
                            "All devices": any[];
                        };
                        releases: {
                            "All releases": any[];
                        };
                        userManagement: any[];
                        tenantManagement: string[];
                    };
                } | {
                    name: string;
                    value: string;
                    description: string;
                    permissions: never[];
                    uiPermissions: {
                        releases: {
                            "All releases": any[];
                        };
                        auditlog: string[];
                        deployments?: string[];
                        groups: Record<string, string[]>;
                        tenantManagement: string[];
                        userManagement: string[];
                    };
                } | {
                    name: string;
                    value: string;
                    description: string;
                    permissions: never[];
                    uiPermissions: {
                        groups: {
                            "All devices": string[];
                        };
                        auditlog: string[];
                        deployments?: string[];
                        releases: Record<string, string[]>;
                        tenantManagement: string[];
                        userManagement: string[];
                    };
                };
            };
            settingsInitialized: boolean;
            showConnectDeviceDialog: boolean;
            showFeedbackDialog: boolean;
            showStartupNotification: boolean;
            tooltips: {
                byId: {};
            };
            userSettings: {
                columnSelection: never[];
                onboarding: {};
            };
            userSettingsInitialized: boolean;
        };
    }, undefined, redux.UnknownAction>;
}>, redux.StoreEnhancer]>>;
type AppDispatch = typeof store.dispatch;

export { type AppDispatch, commonErrorFallback, commonErrorHandler, getConfiguredStore, sessionReducer, store };
